Get a mobile money customer by Phone
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/phone/{phone_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/phone/{phone_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.kotanipay.io/api/v3/customer/mobile-money/phone/{phone_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Customer fetched successfully.",
"data": {
"phone_number": "<string>",
"country_code": "GH, KE, NG (or ISO-3: GHA, KEN, NGA)",
"id": "<string>",
"network": "MPESA or MTN or AIRTEL or VODAFONE",
"customer_key": "<string>",
"account_name": "<string>",
"integrator": "<string>",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-01",
"id_number": "123456789",
"image": "<string>",
"email": "john.doe@example.com"
}
}{
"success": false,
"message": "Unauthorized",
"data": {}
}{
"success": false,
"message": "Customer not found.",
"data": {}
}Customer Management
Get Customer by Phone
An integrator can use this endpoint to get the customer who will be either receiving or sending money using mobile money by passing phone number.
GET
/
api
/
v3
/
customer
/
mobile-money
/
phone
/
{phone_number}
Get a mobile money customer by Phone
An integrator can use this endpoint to get the customer who will be either receiving or sending money using mobile money by passing phone number.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I